public class Geldkarte {

  // Attribute 

  private String kundenname;
  private long geldkartennummer;
  private double geldbetrag;

  // Methoden

  // Konstruktoren-Methoden

  Geldkarte(String kundenname, long geldkartennummer) {
    this.kundenname = kundenname;
    this.geldkartennummer = geldkartennummer;
    this.geldbetrag = 0.0;
  }

  Geldkarte(String kundenname, long geldkartennummer, double geldbetrag) {
    this.kundenname = kundenname;
    this.geldkartennummer = geldkartennummer;
    if (geldbetrag >= 0) {
      this.geldbetrag = geldbetrag;
    } else {
      this.geldbetrag = 0.0;
    }  
  }

  // Methoden zum Auslesen der Attributwerte ("getter")

  public String gibKundenname() {
    return this.kundenname;
  }

  public long gibGeldkartennummer() {
    return this.geldkartennummer;
  }

  public double gibGeldbetrag() {
    return this.geldbetrag;
  }

  // Methoden zum Veraendern der Attributwerte ("setter")

  public boolean einzahlen(double x) {
    if (x > 0.0) {
      this.geldbetrag = this.geldbetrag + x;
      return true;
    }
    return false;
  }

  public boolean auszahlen(double x) {
    if ((x > 0.0) && (this.geldbetrag >= x)) {
      this.geldbetrag = this.geldbetrag - x;
      return true;
    }
    return false;
  }

} // class


