public class JuniorGeldkarte extends Geldkarte {

  // zusaetzliche Attribute

  private double maxGuthaben;

  // Konstruktor(en)

  JuniorGeldkarte(String kundenname, long geldkartennummer) {
    super(kundenname, geldkartennummer); //Konstruktor der Klasse Geldkarte
    this.maxGuthaben = 20.00;
  }

  JuniorGeldkarte(String kundenname, long geldkartennummer, double geldbetrag) {
    super(kundenname, geldkartennummer, geldbetrag);
    this.maxGuthaben = 20.00;
  }

  // weitere Methoden
  public boolean setzeMaxGuthaben(double x) {
    if (x > 0.0) {
      this.maxGuthaben = x;
      return true;
    }
    return false;
  }

  // Methode einzahlen ueberschreiben
  public boolean einzahlen(double x) {
    if ((x > 0.0) && (this.gibGeldbetrag() + x <= this.maxGuthaben)) {
      super.einzahlen(x); //Methode einzahlen der Klasse Geldkarte aufrufen
      return true;
    }
    return false;
  }
} //class


